Skip to content
Get started

List files

GET/v1/files

List all files uploaded by the current user.

Query ParametersExpand Collapse
after: optional string

A cursor for pagination. Use the last_id from a previous response to fetch the next page.

limit: optional number

Maximum number of files to return.

formatint32
maximum100
minimum1
ReturnsExpand Collapse
data: array of File { id, content_type, created_at, 3 more }

List of files.

id: string

The unique identifier for this file.

content_type: string

The MIME type of the file.

maxLength255
created_at: string

The timestamp when the file was uploaded.

formatdate-time
file_name: string

The original filename of the uploaded file.

maxLength255
object: "file"

The object type, which is always 'file'.

size: number

The size of the file in bytes.

minimum0
has_more: boolean

Whether there are more results available after this page.

object: "list"

The object type, which is always 'list'.

first_id: optional string

Unique identifier for a file.

last_id: optional string

Unique identifier for a file.

List files

curl https://api.deeptable.com/v1/files \
    -H "Authorization: Bearer $DEEPTABLE_API_KEY"
{
  "data": [
    {
      "id": "file_01kfxgjd94fn9stqm414vjb0s8",
      "content_type": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
      "created_at": "2024-01-15T10:30:00Z",
      "file_name": "financial_report.xlsx",
      "object": "file",
      "size": 1048576
    }
  ],
  "has_more": false,
  "object": "list",
  "first_id": "file_01kfxgjd94fn9stqm414vjb0s8",
  "last_id": "file_01kfxgjd94fn9stqm414vjb0s8"
}
Returns Examples
{
  "data": [
    {
      "id": "file_01kfxgjd94fn9stqm414vjb0s8",
      "content_type": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
      "created_at": "2024-01-15T10:30:00Z",
      "file_name": "financial_report.xlsx",
      "object": "file",
      "size": 1048576
    }
  ],
  "has_more": false,
  "object": "list",
  "first_id": "file_01kfxgjd94fn9stqm414vjb0s8",
  "last_id": "file_01kfxgjd94fn9stqm414vjb0s8"
}